package gd_admin

import "context"

type Funcs interface {
	AdminRegister(ctx context.Context, req *AdminRegisterReq, reply *AdminRegisterReply) error
	AdminDelete(ctx context.Context, req *AdminDeleteReq, reply *AdminDeleteReply) error
	AdminModify(ctx context.Context, req *AdminModifyReq, reply *AdminModifyReply) error
	AdminGetAll(ctx context.Context, req *AdminGetAllReq, reply *AdminGetAllReply) error
	AdminLogin(ctx context.Context, req *AdminLoginReq, reply *AdminLoginReply) error
}
